<template>

  <div>

    <router-link to="/tasks/new/form" class="btn btn-success">
      <i class="fa fa-plus"></i> Nova Tarefa
    </router-link>

    <div v-if="tasks.length > 0" class="todos-container">
      <table id="tasks-table" class="table table-hover table-responsive">
        <thead>
          <th>ID</th>
          <th>Status</th>
          <th>Tarefa</th>
          <th>Data Limite</th>
        </thead>
        <tbody>
          <tr v-for="task in tasks" class="clickable" @click="showTaskForm(task.id)">
            <td>{{ task.id }}</td>
            <td>
              <app-task-status-icon :status="task.status"></app-task-status-icon>
              {{ getStatusDescription(task.status) }}
            </td>
            <td>{{ task.description }}</td>
            <td>{{ task.deadline ? task.deadline : "" }}</td>
          </tr>
        </tbody>
      </table>
    </div>

  </div>

</template>

<script>

  import AppLocalStorage from "./../../services/app-local-storage"
  import TaskStatusIcon from "./../../components/task-status-icon.vue"

  export default {

    data() {
      return {
        tasks: AppLocalStorage.get("tasks"),
      }
    },

    components: {
      appTaskStatusIcon: TaskStatusIcon,
    },

    methods: {

      getStatusDescription(status) {

        let description = ""

        if (status == 1) {
          description = "Pendente"
        } else if (status == 2) {
          description = "Em andamento"
        } else if (status == 3) {
          description = "Concluída"
        } else if (status == 4) {
          description = "Cancelada"
        }

        return description
      },

      showTaskForm(id) {

        this.$router.push(`/tasks/${id}/form`)
      },
    },

  }

</script>
